Debian Bug report logs - #469517
-fstack-protector produces segfaulting binaries on arm/armel

version graph

Package: gcc-4.3; Maintainer for gcc-4.3 is Debian GCC Maintainers <debian-gcc@lists.debian.org>;

Reported by: Riku Voipio <riku.voipio@iki.fi>

Date: Wed, 5 Mar 2008 16:57:01 UTC

Severity: important

Fixed in version gcc-4.3/4.3.1-5

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://gcc.gnu.org/PR35965

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#469517; Package cupsys. Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
New Bug report received and forwarded. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: submit@bugs.debian.org
Subject: FTBFS on arm*
Date: Wed, 5 Mar 2008 18:53:32 +0200
[Message part 1 (text/plain, inline)]
Package: cupsys
Version: 1.3.6-1
Severity: important
User: debian-arm@lists.debian.org
Usertags: eabi

cupsys has started to use -fstack-protector by default. This does
not work reliably on all architectures, on arm and armel it will
make compiled binaries segfault. 

I suggest using default CFLAGS (-g -O2) or adding -fstack-protector
only if DEB_HOST_ARCH_CPU != arm.


-- 
"rm -rf" only sounds scary if you don't have backups
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#469517; Package cupsys. Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 469517@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Riku Voipio <riku.voipio@iki.fi>, 469517@bugs.debian.org
Cc: gcc-4.2@packages.debian.org
Subject: Re: [Pkg-cups-devel] Bug#469517: FTBFS on arm*
Date: Sun, 16 Mar 2008 13:27:28 +0100
[Message part 1 (text/plain, inline)]
reassign 469517 gcc-4.2
retitle 469517 -fstack-protector produces segfaulting binaries on arm/armel
thanks

Riku Voipio [2008-03-05 18:53 +0200]:
> cupsys has started to use -fstack-protector by default. This does
> not work reliably on all architectures, on arm and armel it will
> make compiled binaries segfault. 
> 
> I suggest using default CFLAGS (-g -O2) or adding -fstack-protector
> only if DEB_HOST_ARCH_CPU != arm.

Hardcoding such exceptions into all source packages is EBW. cupsys
runs a proper configure test whether -fstack-protector works, which
apparently succeeds on arm.

Either -fstack-protector should be fixed in gcc, or it should be
disabled on arm/armel, so that it is solved for all packages in the
archive, not just for cupsys.

Thanks,

Martin

-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `cupsys' to `gcc-4.2'. Request was from Martin Pitt <mpitt@debian.org> to control@bugs.debian.org. (Sun, 16 Mar 2008 12:30:14 GMT) Full text and rfc822 format available.

Changed Bug title to `-fstack-protector produces segfaulting binaries on arm/armel' from `FTBFS on arm*'. Request was from Martin Pitt <mpitt@debian.org> to control@bugs.debian.org. (Sun, 16 Mar 2008 12:30:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#469517; Package gcc-4.2. Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #19 received at 469517@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Riku Voipio <riku.voipio@iki.fi>, 469517@bugs.debian.org
Cc: gcc-4.2@packages.debian.org
Subject: Re: [Pkg-cups-devel] Bug#469517: FTBFS on arm*
Date: Sun, 16 Mar 2008 14:21:28 +0100
[Message part 1 (text/plain, inline)]
Hi again,

Martin Pitt [2008-03-16 13:27 +0100]:
> Hardcoding such exceptions into all source packages is EBW. cupsys
> runs a proper configure test whether -fstack-protector works, which
> apparently succeeds on arm.
> 
> Either -fstack-protector should be fixed in gcc, or it should be
> disabled on arm/armel, so that it is solved for all packages in the
> archive, not just for cupsys.

Since this actively blocks testing migration, I added a workaround
into cupsys now (building with -fno-stack-protector on arm{,el}.

Martin

-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#469517; Package gcc-4.2. Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #24 received at 469517@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
Cc: 469517@bugs.debian.org, control@bugs.debian.org
Subject: Re: -fstack-protector produces segfaulting binaries on arm/armel
Date: Wed, 16 Apr 2008 23:24:02 +0300
[Message part 1 (text/plain, inline)]
reassign 469517 gcc-4.3
thanks

-snip-
#include <stdio.h>

main()
{
        printf ("Hello World!\n");
}
-snip-
$ gcc -save-temps -fstack-protector -fPIE hello.c -o hello
$ ./hello
$ Hello World!
$ gcc -save-temps -fstack-protector-all -fPIE helloall.c -o helloall
$ ./helloall
$ Segmentation fault

helloall.s segfaults, hello.s runs fine. if -fstack-protector isn't to
be supported on arm, it gcc should ignore the option like done on
mips/mipsel.

Using built-in specs.
Target: arm-linux-gnueabi
Configured with: ../src/configure linux gnueabi
Thread model: posix
gcc version 4.3.1 20080401 (prerelease) (Debian 4.3.0-3)


[hello.s (text/plain, attachment)]
[helloall.s (text/plain, attachment)]

Bug reassigned from package `gcc-4.2' to `gcc-4.3'. Request was from Riku Voipio <riku.voipio@iki.fi> to control@bugs.debian.org. (Wed, 16 Apr 2008 20:27:09 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://gcc.gnu.org/bugzilla/show_bug.cgi?id=35965. Request was from Riku Voipio <riku.voipio@iki.fi> to control@bugs.debian.org. (Thu, 17 Apr 2008 13:12:05 GMT) Full text and rfc822 format available.

Forwarded-to-address changed from http://gcc.gnu.org/bugzilla/show_bug.cgi?id=35965 to http://gcc.gnu.org/PR35965. Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. (Sun, 20 Apr 2008 16:54:39 GMT) Full text and rfc822 format available.

Blocking bugs of 477099 added: 469517 Request was from Hideki Yamane <henrich@debian.or.jp> to control@bugs.debian.org. (Mon, 21 Apr 2008 15:36:05 GMT) Full text and rfc822 format available.

Blocking bugs of 469863 added: 469517 Request was from Riku Voipio <riku.voipio@iki.fi> to control@bugs.debian.org. (Thu, 22 May 2008 18:27:05 GMT) Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Riku Voipio <riku.voipio@iki.fi>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #39 received at 469517-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 469517-close@bugs.debian.org
Subject: Bug#469517: fixed in gcc-4.3 4.3.1-5
Date: Sun, 06 Jul 2008 09:47:16 +0000
Source: gcc-4.3
Source-Version: 4.3.1-5

We believe that the bug you reported is fixed in the latest version of
gcc-4.3, which is due to be installed in the Debian FTP archive:

cpp-4.3_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/cpp-4.3_4.3.1-5_i386.deb
fixincludes_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/fixincludes_4.3.1-5_i386.deb
g++-4.3-multilib_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/g++-4.3-multilib_4.3.1-5_i386.deb
g++-4.3_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/g++-4.3_4.3.1-5_i386.deb
gcc-4.3-base_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/gcc-4.3-base_4.3.1-5_i386.deb
gcc-4.3-locales_4.3.1-5_all.deb
  to pool/main/g/gcc-4.3/gcc-4.3-locales_4.3.1-5_all.deb
gcc-4.3-multilib_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/gcc-4.3-multilib_4.3.1-5_i386.deb
gcc-4.3-source_4.3.1-5_all.deb
  to pool/main/g/gcc-4.3/gcc-4.3-source_4.3.1-5_all.deb
gcc-4.3_4.3.1-5.diff.gz
  to pool/main/g/gcc-4.3/gcc-4.3_4.3.1-5.diff.gz
gcc-4.3_4.3.1-5.dsc
  to pool/main/g/gcc-4.3/gcc-4.3_4.3.1-5.dsc
gcc-4.3_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/gcc-4.3_4.3.1-5_i386.deb
gfortran-4.3-multilib_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/gfortran-4.3-multilib_4.3.1-5_i386.deb
gfortran-4.3_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/gfortran-4.3_4.3.1-5_i386.deb
gobjc++-4.3-multilib_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/gobjc++-4.3-multilib_4.3.1-5_i386.deb
gobjc++-4.3_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/gobjc++-4.3_4.3.1-5_i386.deb
gobjc-4.3-multilib_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/gobjc-4.3-multilib_4.3.1-5_i386.deb
gobjc-4.3_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/gobjc-4.3_4.3.1-5_i386.deb
lib64gcc1-dbg_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/lib64gcc1-dbg_4.3.1-5_i386.deb
lib64gcc1_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/lib64gcc1_4.3.1-5_i386.deb
lib64gfortran3-dbg_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/lib64gfortran3-dbg_4.3.1-5_i386.deb
lib64gfortran3_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/lib64gfortran3_4.3.1-5_i386.deb
lib64gomp1-dbg_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/lib64gomp1-dbg_4.3.1-5_i386.deb
lib64gomp1_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/lib64gomp1_4.3.1-5_i386.deb
lib64mudflap0-dbg_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/lib64mudflap0-dbg_4.3.1-5_i386.deb
lib64mudflap0_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/lib64mudflap0_4.3.1-5_i386.deb
lib64objc2-dbg_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/lib64objc2-dbg_4.3.1-5_i386.deb
lib64objc2_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/lib64objc2_4.3.1-5_i386.deb
lib64stdc++6-4.3-dbg_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/lib64stdc++6-4.3-dbg_4.3.1-5_i386.deb
lib64stdc++6_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/lib64stdc++6_4.3.1-5_i386.deb
libgcc1-dbg_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/libgcc1-dbg_4.3.1-5_i386.deb
libgcc1_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/libgcc1_4.3.1-5_i386.deb
libgfortran3-dbg_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/libgfortran3-dbg_4.3.1-5_i386.deb
libgfortran3_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/libgfortran3_4.3.1-5_i386.deb
libgomp1-dbg_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/libgomp1-dbg_4.3.1-5_i386.deb
libgomp1_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/libgomp1_4.3.1-5_i386.deb
libmudflap0-4.3-dev_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/libmudflap0-4.3-dev_4.3.1-5_i386.deb
libmudflap0-dbg_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/libmudflap0-dbg_4.3.1-5_i386.deb
libmudflap0_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/libmudflap0_4.3.1-5_i386.deb
libobjc2-dbg_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/libobjc2-dbg_4.3.1-5_i386.deb
libobjc2_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/libobjc2_4.3.1-5_i386.deb
libstdc++6-4.3-dbg_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/libstdc++6-4.3-dbg_4.3.1-5_i386.deb
libstdc++6-4.3-dev_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/libstdc++6-4.3-dev_4.3.1-5_i386.deb
libstdc++6-4.3-doc_4.3.1-5_all.deb
  to pool/main/g/gcc-4.3/libstdc++6-4.3-doc_4.3.1-5_all.deb
libstdc++6-4.3-pic_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/libstdc++6-4.3-pic_4.3.1-5_i386.deb
libstdc++6_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/libstdc++6_4.3.1-5_i386.deb
protoize_4.3.1-5_i386.deb
  to pool/main/g/gcc-4.3/protoize_4.3.1-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 469517@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-4.3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 06 Jul 2008 01:39:30 +0200
Source: gcc-4.3
Binary: gcc-4.3-base libgcc1 libgcc1-dbg libgcc2 libgcc2-dbg libgcc4 libgcc4-dbg lib64gcc1 lib64gcc1-dbg lib32gcc1 lib32gcc1-dbg libn32gcc1 libn32gcc1-dbg gcc-4.3 gcc-4.3-multilib gcc-4.3-hppa64 gcc-4.3-spu g++-4.3-spu gfortran-4.3-spu cpp-4.3 gcc-4.3-locales g++-4.3 g++-4.3-multilib libmudflap0 libmudflap0-dbg lib32mudflap0 lib32mudflap0-dbg lib64mudflap0 lib64mudflap0-dbg libn32mudflap0 libn32mudflap0-dbg libmudflap0-4.3-dev libgomp1 libgomp1-dbg lib32gomp1 lib32gomp1-dbg lib64gomp1 lib64gomp1-dbg libn32gomp1 libn32gomp1-dbg protoize gobjc++-4.3 gobjc++-4.3-multilib gobjc-4.3 gobjc-4.3-multilib libobjc2 libobjc2-dbg lib64objc2 lib64objc2-dbg lib32objc2 lib32objc2-dbg libn32objc2 libn32objc2-dbg gfortran-4.3 gfortran-4.3-multilib libgfortran3 libgfortran3-dbg lib64gfortran3 lib64gfortran3-dbg lib32gfortran3 lib32gfortran3-dbg libn32gfortran3 libn32gfortran3-dbg libstdc++6 lib32stdc++6 lib64stdc++6 libn32stdc++6 libstdc++6-4.3-dev libstdc++6-4.3-pic libstdc++6-4.3-dbg lib32stdc++6-4.3-dbg lib64stdc++6-4.3-dbg libn32stdc++6-4.3-dbg libstdc++6-4.3-doc gcc-4.3-soft-float fixincludes gcc-4.3-source
Architecture: source all i386
Version: 4.3.1-5
Distribution: unstable
Urgency: low
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 cpp-4.3    - The GNU C preprocessor
 fixincludes - Fix non-ANSI header files
 g++-4.3    - The GNU C++ compiler
 g++-4.3-multilib - The GNU C++ compiler (multilib files)
 g++-4.3-spu - SPU cross-compiler (C++ compiler)
 gcc-4.3    - The GNU C compiler
 gcc-4.3-base - The GNU Compiler Collection (base package)
 gcc-4.3-hppa64 - The GNU C compiler (cross compiler for hppa64)
 gcc-4.3-locales - The GNU C compiler (native language support files)
 gcc-4.3-multilib - The GNU C compiler (multilib files)
 gcc-4.3-soft-float - The soft-floating-point gcc libraries (arm)
 gcc-4.3-source - Source of the GNU Compiler Collection
 gcc-4.3-spu - SPU cross-compiler (preprocessor and C compiler)
 gfortran-4.3 - The GNU Fortran 95 compiler
 gfortran-4.3-multilib - The GNU Fortran 95 compiler (multilib files)
 gfortran-4.3-spu - SPU cross-compiler (Fortran compiler)
 gobjc++-4.3 - The GNU Objective-C++ compiler
 gobjc++-4.3-multilib - The GNU Objective-C++ compiler (multilib files)
 gobjc-4.3  - The GNU Objective-C compiler
 gobjc-4.3-multilib - The GNU Objective-C compiler (multilib files)
 lib32gcc1  - GCC support library (32 bit Version)
 lib32gcc1-dbg - GCC support library (debug symbols)
 lib32gfortran3 - Runtime library for GNU Fortran applications (32bit)
 lib32gfortran3-dbg - Runtime library for GNU Fortran applications (32 bit debug symbol
 lib32gomp1 - GCC OpenMP (GOMP) support library (32bit)
 lib32gomp1-dbg - GCC OpenMP (GOMP) support library (32 bit debug symbols)
 lib32mudflap0 - GCC mudflap shared support libraries (32bit)
 lib32mudflap0-dbg - GCC mudflap shared support libraries (32 bit debug symbols)
 lib32objc2 - Runtime library for GNU Objective-C applications (32bit)
 lib32objc2-dbg - Runtime library for GNU Objective-C applications (32 bit debug sy
 lib32stdc++6 - The GNU Standard C++ Library v3 (32 bit Version)
 lib32stdc++6-4.3-dbg - The GNU Standard C++ Library v3 (debugging files)
 lib64gcc1  - GCC support library (64bit)
 lib64gcc1-dbg - GCC support library (debug symbols)
 lib64gfortran3 - Runtime library for GNU Fortran applications (64bit)
 lib64gfortran3-dbg - Runtime library for GNU Fortran applications (64bit debug symbols
 lib64gomp1 - GCC OpenMP (GOMP) support library (64bit)
 lib64gomp1-dbg - GCC OpenMP (GOMP) support library (64bit debug symbols)
 lib64mudflap0 - GCC mudflap shared support libraries (64bit)
 lib64mudflap0-dbg - GCC mudflap shared support libraries (64 bit debug symbols)
 lib64objc2 - Runtime library for GNU Objective-C applications (64bit)
 lib64objc2-dbg - Runtime library for GNU Objective-C applications (64 bit debug sy
 lib64stdc++6 - The GNU Standard C++ Library v3 (64bit)
 lib64stdc++6-4.3-dbg - The GNU Standard C++ Library v3 (debugging files)
 libgcc1    - GCC support library
 libgcc1-dbg - GCC support library (debug symbols)
 libgcc2    - GCC support library
 libgcc2-dbg - GCC support library (debug symbols)
 libgcc4    - GCC support library
 libgcc4-dbg - GCC support library (debug symbols)
 libgfortran3 - Runtime library for GNU Fortran applications
 libgfortran3-dbg - Runtime library for GNU Fortran applications (debug symbols)
 libgomp1   - GCC OpenMP (GOMP) support library
 libgomp1-dbg - GCC OpenMP (GOMP) support library (debug symbols)
 libmudflap0 - GCC mudflap shared support libraries
 libmudflap0-4.3-dev - GCC mudflap support libraries (development files)
 libmudflap0-dbg - GCC mudflap shared support libraries (debug symbols)
 libn32gcc1 - GCC support library (n32)
 libn32gcc1-dbg - GCC support library (debug symbols)
 libn32gfortran3 - Runtime library for GNU Fortran applications (n32)
 libn32gfortran3-dbg - Runtime library for GNU Fortran applications (n32 debug symbols)
 libn32gomp1 - GCC OpenMP (GOMP) support library (n32)
 libn32gomp1-dbg - GCC OpenMP (GOMP) support library (n32 debug symbols)
 libn32mudflap0 - GCC mudflap shared support libraries (n32)
 libn32mudflap0-dbg - GCC mudflap shared support libraries (n32 debug symbols)
 libn32objc2 - Runtime library for GNU Objective-C applications (n32)
 libn32objc2-dbg - Runtime library for GNU Objective-C applications (n32 debug symbo
 libn32stdc++6 - The GNU Standard C++ Library v3 (n32)
 libn32stdc++6-4.3-dbg - The GNU Standard C++ Library v3 (debugging files)
 libobjc2   - Runtime library for GNU Objective-C applications
 libobjc2-dbg - Runtime library for GNU Objective-C applications (debug symbols)
 libstdc++6 - The GNU Standard C++ Library v3
 libstdc++6-4.3-dbg - The GNU Standard C++ Library v3 (debugging files)
 libstdc++6-4.3-dev - The GNU Standard C++ Library v3 (development files)
 libstdc++6-4.3-doc - The GNU Standard C++ Library v3 (documentation files)
 libstdc++6-4.3-pic - The GNU Standard C++ Library v3 (shared library subset kit)
 protoize   - Create/remove ANSI prototypes from C code
Closes: 469517 489234
Changes: 
 gcc-4.3 (4.3.1-5) unstable; urgency=low
 .
   * Update to SVN 20080705 from the gcc-4_3-branch.
     - Fix PR target/36634, wrong-code on powerpc with -msecure-plt.
   * Fix PR target/35965, PIC + -fstack-protector on arm/armel. Closes: #469517.
   * Don't run the libjava testsuite with -mabi=n32.
   * Update patch for PR other/28322, that unknown -Wno-* options do not
     cause errors, but warnings instead.
   * On m68k, add -fgnu89-inline when in gnu99 mode (requested by Michael
     Casadeval for the m68k port). Closes: #489234.
Checksums-Sha1: 
 59d09cfc93dabad22d6af8b478dad8e1be9edede 3570 gcc-4.3_4.3.1-5.dsc
 48ce9c84caa9846bb45816e74ba37ddaa23ca231 581952 gcc-4.3_4.3.1-5.diff.gz
 67f81654ec2101743a8f90c1b372bc09433eae55 44377010 gcc-4.3-source_4.3.1-5_all.deb
 3326ce42b67f2621afa4bf3f00799824e594b6a2 9147474 libstdc++6-4.3-doc_4.3.1-5_all.deb
 aa1a0ea24117a396d49d0939c2fe2697619ef6f6 2006772 gcc-4.3-locales_4.3.1-5_all.deb
 9d4039b6b94c25d20c264cdf11d879df87c62d35 102104 gcc-4.3-base_4.3.1-5_i386.deb
 70dbfad85251e0a2d772eee32044f540e0977d79 25720 libgcc1_4.3.1-5_i386.deb
 c3f29aec99527bc261264f90ed1dbfcbc6253e14 58180 libgcc1-dbg_4.3.1-5_i386.deb
 9ec8ee98ad03f248c2eee2aca97b280cff12d277 43984 lib64gcc1_4.3.1-5_i386.deb
 3cde16cf3bc462fe638df1f056b37f2c8aded634 83112 lib64gcc1-dbg_4.3.1-5_i386.deb
 fd35f4e15de343e9759a32ca35cd829a0997c0de 13242 libgomp1_4.3.1-5_i386.deb
 73cb93aa261ea82215b557d58355a1712464a84b 33858 libgomp1-dbg_4.3.1-5_i386.deb
 fe8018e3a165455bfc40114488b2a026b6c2c0ba 15490 lib64gomp1_4.3.1-5_i386.deb
 77993bdd4261afd0c870a2d41c04178536d919c4 34930 lib64gomp1-dbg_4.3.1-5_i386.deb
 d933286f06a8904a40aac703f025f1f330b28ba5 3073090 cpp-4.3_4.3.1-5_i386.deb
 74a980af5befe0a419f7a634e5552b1677829a3b 41762 protoize_4.3.1-5_i386.deb
 da4f2fc55db8c9e638c015fdd52542652aeda015 63450 fixincludes_4.3.1-5_i386.deb
 fca01b5c95ca6bc9bb213f252195614a7ecc8ed8 208832 libmudflap0-4.3-dev_4.3.1-5_i386.deb
 69ce0dac3fada8a5acac8366ba73cdf41eaca57f 77598 libmudflap0_4.3.1-5_i386.deb
 39605e4181f459c07b9e5c22df39d4e5df5f968f 122800 libmudflap0-dbg_4.3.1-5_i386.deb
 f1658576edcc2ce64b05ac98fb9c9a4c583239ec 96002 lib64mudflap0_4.3.1-5_i386.deb
 efa0c2a3692bb64d028ae2913627101d9be57561 128960 lib64mudflap0-dbg_4.3.1-5_i386.deb
 484710ff8662cd75561c7780e31cf0294a38a150 850 gobjc++-4.3-multilib_4.3.1-5_i386.deb
 73fe2135503a38079727814b2ef93badb91fae86 3301128 gobjc++-4.3_4.3.1-5_i386.deb
 f181b35d00b3ac6531f197b526178baa3ee31d47 183976 gobjc-4.3-multilib_4.3.1-5_i386.deb
 c229a214e7441c7d2907fcc7370cf3c81423cb65 3211538 gobjc-4.3_4.3.1-5_i386.deb
 028e18044fa10624cb19836cb0a86b7f927e802d 149430 libobjc2_4.3.1-5_i386.deb
 87142b26e1337a95956d94fe86df3a2c8027455e 272230 libobjc2-dbg_4.3.1-5_i386.deb
 e4bdbd10a6f712343556406f7f8cc6a19346c616 159374 lib64objc2_4.3.1-5_i386.deb
 da101b5e65d78eec55418796adcdb876790c1a84 286870 lib64objc2-dbg_4.3.1-5_i386.deb
 4d69260c77061d47fd4eda53eec840e95d31e29f 1034582 g++-4.3-multilib_4.3.1-5_i386.deb
 c1f2a729a912117320afc18a058a4243a7368d11 3398314 g++-4.3_4.3.1-5_i386.deb
 1c44ea38c94849837be5ef4b86f953c67528d33d 331982 libstdc++6_4.3.1-5_i386.deb
 e3d327d4288ab15c2b98acb0bd4a477f1dafa3bd 333710 lib64stdc++6_4.3.1-5_i386.deb
 682ed54774503d0e5f26925d2420ac4ec0da6876 6081680 lib64stdc++6-4.3-dbg_4.3.1-5_i386.deb
 6f0e1d91b096b6335149a19fbd98997bed78c806 1352440 libstdc++6-4.3-dev_4.3.1-5_i386.deb
 b5066f8e7c33b0b49d814adda544cf7edbb6dc24 487346 libstdc++6-4.3-pic_4.3.1-5_i386.deb
 1ea74c5d761c3f29476da2e84e7fd666b621c8b2 3621042 libstdc++6-4.3-dbg_4.3.1-5_i386.deb
 9ef664609cd196378de2b0c15261b5eb12596d3f 229514 libgfortran3_4.3.1-5_i386.deb
 45419e28eb6b81e9e4ea46218656233c8e2d73bf 348414 libgfortran3-dbg_4.3.1-5_i386.deb
 24605b1e7faabf77d1db44c064b8bd8be55496ba 270698 lib64gfortran3_4.3.1-5_i386.deb
 b55373815e9a49547c48f72252dbf19e7cb93487 467840 lib64gfortran3-dbg_4.3.1-5_i386.deb
 56304025eac080aff8bb3497f9cf8ee6a3f3691e 306136 gfortran-4.3-multilib_4.3.1-5_i386.deb
 d4d1b5ea7f5ac4c9737f793a960dd567168d2141 3489290 gfortran-4.3_4.3.1-5_i386.deb
 95a3de376af32e28743eb400df5c4e45e808eed6 2164910 gcc-4.3-multilib_4.3.1-5_i386.deb
 757e0ac0dcf75a08abafc546d86be1bbc048a086 2732664 gcc-4.3_4.3.1-5_i386.deb
Checksums-Sha256: 
 3e762b4301a91bda51f179b31c4c516c5d8a6f2cfcf1e0ea5199c9eb5314edae 3570 gcc-4.3_4.3.1-5.dsc
 c6464d3c0e9647b2b89b3166eb35c0d3d8ff10d7611ee8526a7bbba3e170fd01 581952 gcc-4.3_4.3.1-5.diff.gz
 82e39987b391c87d09e1826212952947610ef6a0fcee20a65f887df5ce28c936 44377010 gcc-4.3-source_4.3.1-5_all.deb
 397bac146a2c7da9fa588e68fa26d8799bff2c8df29f9c8627f4bb60978f01f2 9147474 libstdc++6-4.3-doc_4.3.1-5_all.deb
 24b8c6c25e620d3134058fae609aaf00ca1ea689c82cdc921eb29c6c7aed0f51 2006772 gcc-4.3-locales_4.3.1-5_all.deb
 e55ee0aec48ef929585fa444336c53b1c118be6dd69174570db3e83338e285de 102104 gcc-4.3-base_4.3.1-5_i386.deb
 e5cd123ad7215fc0611c5948dee050d83c97770160bc38164e625a57db960e0b 25720 libgcc1_4.3.1-5_i386.deb
 2a4e343996f9b963527af10084a71210ffda020bbee7bda643cca4bd98b83376 58180 libgcc1-dbg_4.3.1-5_i386.deb
 cd6a658d67a17b7dd84b19d7ec8f648326f474022ccb683acd62011e913429ef 43984 lib64gcc1_4.3.1-5_i386.deb
 961ca3d5024d88138df54f58fbd9b0ed0b8d378321885b2848490d498c8ef7c8 83112 lib64gcc1-dbg_4.3.1-5_i386.deb
 a29997eb32992451dde8a522d1e237dd50ae02ca466a5d46d54b692aaeeed688 13242 libgomp1_4.3.1-5_i386.deb
 ed9c8843fbffcfb6284c97775eabd34bb7e247527b7d3052cebe08fcb44068f8 33858 libgomp1-dbg_4.3.1-5_i386.deb
 5798bcec297971d744b63f8a91b98bc82c31afed911132eabcb2e61c73b76348 15490 lib64gomp1_4.3.1-5_i386.deb
 cdb44d27067cb3011e0ca820807114ca918ef1f4a56c6a9e89bebb785c45146d 34930 lib64gomp1-dbg_4.3.1-5_i386.deb
 8b4bd62a56a7ba307c7b4703efd02b0090f7328941a6a4cf7f6b4fa4a74036c5 3073090 cpp-4.3_4.3.1-5_i386.deb
 06c82c400b56038569a529e45acfe2a476a4e46c94da205b196cc9d8dc2fb7d1 41762 protoize_4.3.1-5_i386.deb
 cdd5428cbd1ef75d1a45be9c031743dde8470cfa6baa875ec23bff302be6d471 63450 fixincludes_4.3.1-5_i386.deb
 3755f400734ff996f2282b225432dac4b7f0a0eda3e2aa6b02c66d9370504300 208832 libmudflap0-4.3-dev_4.3.1-5_i386.deb
 a0f14973b82f65ff9e5d3563f024ec323e058a898d883786bad2f3cf45f9a778 77598 libmudflap0_4.3.1-5_i386.deb
 d25827859a0c4ab7db95ae2515d29f745b8ccd330bd2208e750f9155364f77e5 122800 libmudflap0-dbg_4.3.1-5_i386.deb
 3d51eb118bc722fc2e1ae8194ba81a8d34c3f52dfabadf9a50b6c3f584cfca65 96002 lib64mudflap0_4.3.1-5_i386.deb
 78616f75d2a6375ebb36db71b599f842940874a3e8ab0a8631a7e8c5ddb88844 128960 lib64mudflap0-dbg_4.3.1-5_i386.deb
 a6877a76922f9e7180fbb0e99e6aff548241ac0a25be3c648a27e70dfd96ed6e 850 gobjc++-4.3-multilib_4.3.1-5_i386.deb
 df7dc2384f716b19f9b38892df60808cfbec3981c3c844b2d63a54de64dd796c 3301128 gobjc++-4.3_4.3.1-5_i386.deb
 98c3f6d829235b0a91c1077b5b68f965f3247986889b684102e17f0662207ffb 183976 gobjc-4.3-multilib_4.3.1-5_i386.deb
 d5d9f4743eeb65417ea64ec9f3f331e82f612720efceb96764ae8d8e5f3a56f7 3211538 gobjc-4.3_4.3.1-5_i386.deb
 ee219ab984799f5af3ff7dce3363bd662990bea62560ded9352075305f858c3c 149430 libobjc2_4.3.1-5_i386.deb
 bf55448b41398bd925b27ce812f590923ecdc2f30a2b8d322b5ad07930b449a3 272230 libobjc2-dbg_4.3.1-5_i386.deb
 78a133dd8b225f681fc7099516e3d343f84f10faca9083ab38a27b5b1fb00715 159374 lib64objc2_4.3.1-5_i386.deb
 672e0576012e1c9ca4a713e170f2ddc1d931c89eee21a14781ba3d2f31c1be40 286870 lib64objc2-dbg_4.3.1-5_i386.deb
 ee191cce1ad77527ad42c949591eceb48c1f2fae91cc5429e664f937d16fc233 1034582 g++-4.3-multilib_4.3.1-5_i386.deb
 a0d5a2e3d146374ea3d11411250147e254080c6f4098a1a189ae216d3fb9a24d 3398314 g++-4.3_4.3.1-5_i386.deb
 ae3063ff5a095877e5d181f97fbd9932d1b8d1fe442794a3dde5c60a26686da4 331982 libstdc++6_4.3.1-5_i386.deb
 b8d1354778b52262e19c8d5d6a3a50b3cd554997ee85028d2eaac5b359b0c86f 333710 lib64stdc++6_4.3.1-5_i386.deb
 6860c79b0e87b2641da3363ca998a0e355e389645b0afd086e1741cac6bafb30 6081680 lib64stdc++6-4.3-dbg_4.3.1-5_i386.deb
 b500456a364e061cafb3fa35a607ee55688b8d865d511e54291ef9b6df9a2e39 1352440 libstdc++6-4.3-dev_4.3.1-5_i386.deb
 925228f2c58285ceb266b8fa1f1277637675af70f320f6bc192847450b394d7b 487346 libstdc++6-4.3-pic_4.3.1-5_i386.deb
 6298d243d783d69bdfd01865849ddcf3b1f5f48ba6b948dd2516b3994d23f1dd 3621042 libstdc++6-4.3-dbg_4.3.1-5_i386.deb
 bd089510a1ee1b0ea7d151156f4db8b36111f5e41b76bedc1ca4e01fbbf5c2ea 229514 libgfortran3_4.3.1-5_i386.deb
 ffa9dbb35b95d15fef02d7bf77cddf7ee33bc197066c882f903ecebac4f0af08 348414 libgfortran3-dbg_4.3.1-5_i386.deb
 9295277423b14952e412205d460c3ed07a054158dbe134cb791003d0e4bd9a52 270698 lib64gfortran3_4.3.1-5_i386.deb
 2adaa5fb731e4f00a5da98bf7a27a64bbd7a820e97a6f6dd751ff94f2b6d8a7e 467840 lib64gfortran3-dbg_4.3.1-5_i386.deb
 948fc1c2ba7902122dcc3ab8ccfb94a1015783c576251c8aae92453d892786f5 306136 gfortran-4.3-multilib_4.3.1-5_i386.deb
 d86dc69ec8886b9d45e70e100f23637e348dec0b062461db193124554c66856f 3489290 gfortran-4.3_4.3.1-5_i386.deb
 1ceca4aa2a37ea1ee908ac51ef5d25eb2e5617bc7d6d592c2690aa1b5fec9696 2164910 gcc-4.3-multilib_4.3.1-5_i386.deb
 3f0f759bb20e0a63a7c0b958a8e3701efcae863538229ebb1f36019cb8638fca 2732664 gcc-4.3_4.3.1-5_i386.deb
Files: 
 b051a4c4c6ae1eced6fd19c0da30ed81 3570 devel optional gcc-4.3_4.3.1-5.dsc
 15e40641eac15c6c3c0b87bafb5e6267 581952 devel optional gcc-4.3_4.3.1-5.diff.gz
 0bbcd33ad428b658d44f895ca700b15d 44377010 devel optional gcc-4.3-source_4.3.1-5_all.deb
 10e6f3fbb941f8ece9ff6261cbb9d0b3 9147474 doc optional libstdc++6-4.3-doc_4.3.1-5_all.deb
 8e0b05af55cb31706e09b5d265ffd5ca 2006772 devel optional gcc-4.3-locales_4.3.1-5_all.deb
 91ca7584188635347aee3b3ec855d5c0 102104 libs required gcc-4.3-base_4.3.1-5_i386.deb
 c3bddd4d7a5ad8a1fd6bb020305b0a12 25720 libs required libgcc1_4.3.1-5_i386.deb
 6d1dc2fda9b587375cae4587756197ad 58180 libdevel extra libgcc1-dbg_4.3.1-5_i386.deb
 27822e53e2568fe75c1af7b4f486912d 43984 libs optional lib64gcc1_4.3.1-5_i386.deb
 c9ffa629626157bb58937629dea53574 83112 libdevel extra lib64gcc1-dbg_4.3.1-5_i386.deb
 65fb3a58163e0a7ca0b0c103b1c52809 13242 libs optional libgomp1_4.3.1-5_i386.deb
 b855b7abc8cb9146822c4ab8318bd9a5 33858 libdevel extra libgomp1-dbg_4.3.1-5_i386.deb
 09fd510c8e767ee89b2dafb2e67762be 15490 libs optional lib64gomp1_4.3.1-5_i386.deb
 1e253678112bb66d92280c7bf907a0d2 34930 libdevel extra lib64gomp1-dbg_4.3.1-5_i386.deb
 34ee8f366a416f1576f6b3dc43838c65 3073090 interpreters optional cpp-4.3_4.3.1-5_i386.deb
 c48429cd3196046e2db01baf4d895a78 41762 devel optional protoize_4.3.1-5_i386.deb
 f38c392d43ae9fa3d78928a71f8a0df0 63450 devel optional fixincludes_4.3.1-5_i386.deb
 e6fd5a456b29b2a8a3cdb270fa006155 208832 libdevel optional libmudflap0-4.3-dev_4.3.1-5_i386.deb
 c971c6de4d04a6461d48f12410c0b257 77598 libs optional libmudflap0_4.3.1-5_i386.deb
 bcb15ec9a23182982e03fa09861b8be5 122800 libdevel extra libmudflap0-dbg_4.3.1-5_i386.deb
 56495453b35ec63a44600f1710b030dc 96002 libs optional lib64mudflap0_4.3.1-5_i386.deb
 5fd67a77589e4162967ee95d1044ed4d 128960 libdevel extra lib64mudflap0-dbg_4.3.1-5_i386.deb
 a143dd0eec3e1e28a3ab1f15706bb8ac 850 devel optional gobjc++-4.3-multilib_4.3.1-5_i386.deb
 f44e2669533633f78fe119a3f59b8cb5 3301128 devel optional gobjc++-4.3_4.3.1-5_i386.deb
 69a8e7a5e78436c3a04ab824a74d87b4 183976 devel optional gobjc-4.3-multilib_4.3.1-5_i386.deb
 631df8c1d626cee5776ac2e69f5cfaa1 3211538 devel optional gobjc-4.3_4.3.1-5_i386.deb
 f7e23d197993268bb471639834f4925e 149430 libs optional libobjc2_4.3.1-5_i386.deb
 35dc92d8e1961acfb019278df22b0d0a 272230 libdevel extra libobjc2-dbg_4.3.1-5_i386.deb
 b0eddf42621787599a34698602685d82 159374 libs optional lib64objc2_4.3.1-5_i386.deb
 890067b04374031a700265c071fb79e1 286870 libdevel extra lib64objc2-dbg_4.3.1-5_i386.deb
 c2a34c707f3259ddd43d6a6d9aa94fa0 1034582 devel optional g++-4.3-multilib_4.3.1-5_i386.deb
 36743f16e8fa7ad8a5859ac9ed179dc8 3398314 devel optional g++-4.3_4.3.1-5_i386.deb
 2218e9cad6c322ec6b20752bdfa9fc21 331982 libs required libstdc++6_4.3.1-5_i386.deb
 a6f073faf21b17784f78891798d98cb8 333710 libs optional lib64stdc++6_4.3.1-5_i386.deb
 40c320d39539f09244b3759f2bc7c7c9 6081680 libdevel extra lib64stdc++6-4.3-dbg_4.3.1-5_i386.deb
 2a0a723851d227d468d9d23fb374cd98 1352440 libdevel optional libstdc++6-4.3-dev_4.3.1-5_i386.deb
 091f5686d74c75274695153ff8084e74 487346 libdevel extra libstdc++6-4.3-pic_4.3.1-5_i386.deb
 61b1fff918b256873ff2fdb8085f3a07 3621042 libdevel extra libstdc++6-4.3-dbg_4.3.1-5_i386.deb
 f46aaaec7c8a227f42684c54b9a9c784 229514 libs optional libgfortran3_4.3.1-5_i386.deb
 3c83bbfa2aba3a3e89fd50ccfc9b345c 348414 libdevel extra libgfortran3-dbg_4.3.1-5_i386.deb
 0855e6ffb4b468fa4ee5592a8756fa41 270698 libs optional lib64gfortran3_4.3.1-5_i386.deb
 1b2bd0a4a12ab82d1fe3c0e25e40d672 467840 libdevel extra lib64gfortran3-dbg_4.3.1-5_i386.deb
 36b33967a91590ef7464b55c60b1b961 306136 devel optional gfortran-4.3-multilib_4.3.1-5_i386.deb
 ec958b08cea8c27d381b2778fe9d8413 3489290 devel optional gfortran-4.3_4.3.1-5_i386.deb
 72f090534d565f66bb6c3adf3335c9ce 2164910 devel optional gcc-4.3-multilib_4.3.1-5_i386.deb
 3271e713dca8081081832813dfe39ad1 2732664 devel optional gcc-4.3_4.3.1-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkhwgM8ACgkQStlRaw+TLJz4WQCfSfu7KeS6sqUahtOiJGroPn5M
y8MAn1MkFB+QawfVMqNc79Uf9K8zMkew
=4aTm
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 29 Aug 2008 07:28:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:33:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.